List

View as Markdown

Returns an array of all addresses available to the merchant.

Storefront API Scope may authenticate with Trust Level Authentication (trust_level: recognized).

Listing addresses for more than one customer requires Application API Scope with the Bulk Operations permission.

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

OR
authorizationstring

Storefront API Scope — client-side, scoped to one customer, sent as a signature in the authorization header. See Authentication.

Query parameters

customerstringOptional

Customer ID (only available in API user scope)

livebooleanOptional

Address status: active (True) or inactive (False)

updated_startdateOptional

Addresses whose updated datetime is greater than or equal to the given datetime (yyyy-mm-ddThh:mm:ss)

updated_enddateOptional

Addresses whose updated datetime is less than or equal to the given datetime (yyyy-mm-ddThh:mm:ss)

Response

200
customerstringOptional
public_idstringOptional
labelstring or nullOptional
first_namestringOptional
last_namestringOptional
company_namestring or nullOptional
addressstringOptional
address2string or nullOptional
citystringOptional
state_province_codestringOptional
zip_postal_codestringOptional
phonestringOptional
faxstring or nullOptional
country_codestringOptional
livebooleanOptionalDefaults to true
createdstringOptional
updatedstringOptional
token_idstring or nullOptional
store_public_idanyOptional

Errors

403
Forbidden Error